Bug 6615 - FRT_SOMA BODY & DRUGS_MUSCLE triggers on the Swedish word sommar which means summer
Summary: FRT_SOMA BODY & DRUGS_MUSCLE triggers on the Swedish word sommar which means ...
Status: RESOLVED FIXED
Alias: None
Product: Spamassassin
Classification: Unclassified
Component: Rules (show other bugs)
Version: 3.3.1
Hardware: PC Windows 7
: P2 normal
Target Milestone: Undefined
Assignee: SpamAssassin Developer Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-10 14:37 UTC by David Mårtensson
Modified: 2014-06-19 09:51 UTC (History)
3 users (show)



Attachment Type Modified Status Actions Submitter/CLA Status
Example email that triggers filters text/plain None David Mårtensson [NoCLA]
Example of email hitting the rule text/plain None David Mårtensson [NoCLA]

Note You need to log in before you can comment on or make changes to this bug.
Description David Mårtensson 2011-06-10 14:37:47 UTC
Created attachment 4917 [details]
Example email that triggers filters

A normal email containing the word Sommar triggers both these rules giving it a total score of 5.5 and since Sommar is a word that is very common right now with summer on the way this might cause many false positives.

Ill attach the full source including the SA headers.

The message was sent by one of our customers to their customers informing them about summer activities and offers and it is a newsletter which is opt-in only.
Comment 1 Adam Katz 2011-07-25 22:31:08 UTC
(In reply to comment #0)
> A normal email containing the word Sommar triggers both these rules giving it a
> total score of 5.5 and since Sommar is a word that is very common right now
> with summer on the way this might cause many false positives.

Fixed __DRUGS_MUSCLE1, FRT_SOMA, and FRT_SOMA2 in r1150942.

Thanks for the report.
Comment 2 Louis M. 2014-03-25 11:04:42 UTC
I just had a very similar problem... A single word was causing a DRUGS_MUSCLE ffilter to activate.

Based on the word 'Soma'.

Does it make sense ? It that normal ? Do you need more information, regarding our tests ?
Comment 3 AXB 2014-03-25 11:16:32 UTC
(In reply to Louis M. from comment #2)
> I just had a very similar problem... A single word was causing a
> DRUGS_MUSCLE ffilter to activate.
> 
> Based on the word 'Soma'.
> 
> Does it make sense ? It that normal ? Do you need more information,
> regarding our tests ?


please attach the message including full spam report which caused this
Comment 4 David Mårtensson 2014-06-19 09:28:24 UTC
Created attachment 5206 [details]
Example of email hitting the rule

This bug has returned and are again hitting emails with the Swedish word for summer, "Sommar".

Got the attached email today hitting 2.9 points for FRT_SOMA rule.

Has the change been reverted or is this some other type of hit.


In this case the email is information regarding suggested summer books for kids.
Comment 5 AXB 2014-06-19 09:51:49 UTC
This rule was disabled quite a while back in SA's ruleset

In which .cf file are you seeing that rule?